Subject: Re: [PATCH 2/4] ipv4: Update pmtu informations on inetpeer only for output routes

From: Steffen Klassert <[email-masked]>
Date: Fri, 14 Oct 2011 08:34:23 +0200

On Wed, Oct 12, 2011 at 05:08:05PM -0400, David Miller wrote:
> 
> You really can't do this, it's going to kill all of the memory savings from
> storing metrics in the inetpeer cache.
> 
> Every input route is going to have it's metrics COW'd with this change.
> 

Ok, I missed this completely. So if input and output routes share the
inetpeer information and we don't want to copy, we might not use the
(learned) pmtu informations on the inetpeer for input routes. So
for input routes, dst_mtu() could return dst->ops->default_mtu()
instead of the mtu informations stored on the metric. Are there other
(better) solutions?